Name: quota
Summary: System administration tools for monitoring users' disk usage.
Version: 3.14
Release: 1tr
Source0: http://aleron.dl.sourceforge.net/sourceforge/linuxquota/%{name}-%{version}.tar.gz
License: BSD
Group: Trustix Official
Buildroot: %{_tmppath}/%{name}-root
BuildRequires: e2fsprogs-devel

%description
The quota package contains system administration tools for monitoring
and limiting users' and or groups' disk usage, per filesystem.

Install quota if you want to monitor and/or limit user/group disk
usage.

%prep
%setup -q -n %{name}-tools

%build
%configure
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/{etc,sbin}
mkdir -p $RPM_BUILD_ROOT%{_initdir}
make ROOTDIR=$RPM_BUILD_ROOT install

# Some binaries have to be available before /usr is mounted
for i in convertquota quotacheck quotaoff quotaon; do
	mv $RPM_BUILD_ROOT/usr/sbin/$i $RPM_BUILD_ROOT/sbin/
done

# This one is provided by nfs-utils
rm -f $RPM_BUILD_ROOT/usr/sbin/rpc.rquotad
rm -f $RPM_BUILD_ROOT%{_mandir}/*/*rquotad*


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc doc/quotas.preformated
/etc/*quota*
/usr/bin/*
/usr/sbin/*
/sbin/*
%{_mandir}/*/*
%exclude /usr/include/rpcsvc
%exclude /usr/share/locale/pl/LC_MESSAGES/quota.mo
%exclude /usr/share/locale/fr/LC_MESSAGES/quota.mo

%changelog
* Fri Mar 30 2007 Nived Gopalan <nived at trustix dot org> 3.14-1tr
- New Upstream.

* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Tue Jun 20 2006 Bipin S <bipin at trustix dot org> 3.13-1tr
- Initial verison for TSL-3.0.5.

* Thu Mar 17 2005 Raghu <raghu at comodo dot com> 3.12-2tr
- Rebuilt
- Fixed unpackaged Files

* Wed Sep 22 2004 Ajith Thampi <ajith at comodo dot com> 3.12-1tr
- New Upstream
- header files omitted, provided with glibc.

* Tue Dec  9 2003 Chr. Toldnes <christht at trustix dot org> 3.10-1tr
- New upstream version: 3.10

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 3.08-4tr
- Big rebuild

* Tue Jun  3 2003 Tore Olsen <toreo at trustix dot com> 3.08-3to
- Moved some binaries to /sbin, needed before /usr is mounted.
- Removed init script, it's all done by rc.sysinit.

* Fri May 16 2003 Erlend Midttun <erlendbm at trustix dot com> 3.08-2em
- Fixed awk part of init script.

* Wed Mar 26 2003 Erlend Midttun <erlendbm at trustix dot com> 3.08-1em
- New upstream

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.00release-3em
- Rebuilt against glibc 2.3.2.

* Wed Jul 24 2002 Daniel Meyer <eagle at trustix dot org> 2.00release-2dm
- rebuild for Trustix Secure Linux 2.0

* Tue Jun 12 2001 Oystein Viggen <oysteivi at trustix dot com>
- New upstream version: 2.00

* Sun Jul 16 2000 Per Ivar Paulsen <perp at trustix dot com>
- Initial release for the Trustix Secure Linux distribution.
- Moved man and info pages to /usr/share adhering to FHS
- Upgrade to 2.0pre4

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description
- man pages are compressed

* Tue Jan 18 2000 Preston Brown <pbrown@redhat.com>
- quota 2.00 series
- removed unnecessary patches

* Thu Aug  5 1999 Jeff Johnson <jbj@redhat.com>
- fix man page FUD (#4369).

* Thu May 13 1999 Peter Hanecak <hanecak@megaloman.sk>
- changes to allow non-root users to build too (Makefile patch, %attr)

* Tue Apr 13 1999 Jeff Johnson <jbj@redhat.com>
- fix for sparc64 quotas (#2147)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Mon Dec 28 1998 Cristian Gafton <gafton@redhat.com>
- don't install rpc.rquotad - we will use the one from the knfsd package
  instead

* Thu Dec 17 1998 Jeff Johnson <jbj@redhat.com>
- merge ultrapenguin 1.1.9 changes.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- removed patch for mntent

* Fri Mar 27 1998 Jakub Jelinek <jj@ultra.linux.cz>
- updated to quota 1.66

* Tue Jan 13 1998 Erik Troan <ewt@redhat.com>
- builds rquotad
- installs rpc.rquotad.8 symlink

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- removed /usr/include/rpcsvc/* from filelist
- uses a buildroot and %attr

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- Moved /usr/sbin/quota to /usr/bin/quota
